Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Contact support
cURL
curl --request PATCH \ --url 'https://my.orq.ai/v2/sessions/thread_01HZXW2K7Y8Q9M0N1P2R3S4T5V' \ --header "Authorization: Bearer $ORQ_API_KEY" \ --header 'Content-Type: application/json' \ --data '{ "tags": ["support", "escalated"], "traces_count": 3 }'
import { Orq } from '@orq-ai/node'; const client = new Orq({ apiKey: process.env.ORQ_API_KEY, }); const result = await client.sessions.update({ sessionId: 'thread_01HZXW2K7Y8Q9M0N1P2R3S4T5V', tags: ['support', 'escalated'], tracesCount: 3, }); console.log(result.tags);
import os from orq_ai_sdk import Orq client = Orq(api_key=os.environ["ORQ_API_KEY"]) result = client.sessions.update( session_id="thread_01HZXW2K7Y8Q9M0N1P2R3S4T5V", tags=["support", "escalated"], traces_count=3, ) print(result.tags)
{ "_id": "<string>", "external_id": "<string>", "duration": 123, "contact_ids": [ "<string>" ], "billing": { "input_cost": 123, "output_cost": 123, "total_cost": 123 }, "usage": { "prompt_tokens": 123, "completion_tokens": 123, "total_tokens": 123 }, "traces_count": 123, "tags": [ "<string>" ], "project_id": "<string>", "started_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "title": "<string>", "client": "<string>", "repo": "<string>", "kind": "THREAD_KIND_CONVERSATION" }
{ "message": "<string>", "code": 123, "details": [ "<unknown>" ] }
Update a trace thread.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
Remove every contact id. Mutually exclusive with contact_ids.
Remove every tag. Mutually exclusive with tags.
THREAD_KIND_CONVERSATION
THREAD_KIND_CODING_AGENT
OK
Internal thread record ID.
Client-provided thread identifier used to group related traces.
Total thread duration in milliseconds.
Contact IDs associated with the thread.
Number of traces associated with the thread.
Tags used to categorize the thread.
Display title. Does not replace external_id and is not used to group traces.
Originating coding assistant or client, such as claude-code, cursor, or codex.
Canonical git repository for a coding-agent thread, such as github.com/org/repo.
Whether this thread is a conversation or a coding-agent chat.
Was this page helpful?